org.apache.lucene.analysis.cz

## Class CzechStemmer

- java.lang.Object
- - org.apache.lucene.analysis.cz.CzechStemmer

    public class CzechStemmer
    extends Object

Light Stemmer for Czech.

Implements the algorithm described in: Indexing and stemming approaches for the Czech language http://portal.acm.org/citation.cfm?id=1598600

### Constructor Summary

Constructors
Constructor and Description
`CzechStemmer()`

### Method Summary

Methods
`int` `stem(char[] s, int len)` Stem an input buffer of Czech text.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CzechStemmer

    public CzechStemmer()

### Method Detail

#### stem

    public int stem(char[] s,
           int len)

Stem an input buffer of Czech text.

Parameters:
  `s` - input buffer
  `len` - length of input buffer
Returns:
  length of input buffer after normalization

  NOTE: Input is expected to be in lowercase, but with diacritical marks